Package proton :: Class SASL

[frames] | no frames]

# Class SASL

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
                     SASL

Instance Methods

__init__(self, transport) x.__init__(...) initializes x; see help(type(x)) for signature | source code

allowed_mechs(self, mechs) | source code

config_name(self, name) | source code

config_path(self, path) | source code

done(self, outcome) | source code

Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

extended() | source code

Class Variables
| AUTH = `1`
| OK = `0`
| PERM = `3`
| SYS = `2`
| TEMP = `4`

Properties
| allow_insecure_mechs Allow unencrypted cleartext passwords (PLAIN mech)
| mech
| outcome
| user
Inherited from `object`: `__class__`

Method Details

### __init__(self, transport)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### allow_insecure_mechs

Allow unencrypted cleartext passwords (PLAIN mech)

Get Method:
  _get_allow_insecure_mechs(self)
Set Method:
  _set_allow_insecure_mechs(self, insecure)

### mech

Get Method:
  unreachable.mech(self)

### outcome

Get Method:
  unreachable.outcome(self)

### user

Get Method:
  unreachable.user(self)